Bug 206934 - CVE-2006-4482 PHP heap overflow
Summary: CVE-2006-4482 PHP heap overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: php   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL:
Whiteboard: source=cve,reported=20060831,public=2...
Keywords: Security
Depends On: 204993
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-18 10:37 UTC by Joe Orton
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0682
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 10:43:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0682 normal SHIPPED_LIVE Moderate: php security update 2006-09-21 04:00:00 UTC

Description Joe Orton 2006-09-18 10:37:32 UTC
+++ This bug was initially created as a clone of Bug #204993 +++

(Description from MITRE)
Multiple heap-based buffer overflows in the (1) str_repeat and (2)
wordwrap functions in ext/standard/string.c in PHP before 5.1.5, when
used on a 64-bit system, have unspecified impact and attack vectors, a
different vulnerability than CVE-2006-1990.

This is the result of using int = size_t * sizt_t where int is 32 bits
and size_t is 64 bits.  The odds of exploiting this remotely are slim
as you would probably have to send 2 gigs of data to a broken app.

http://www.php.net/release_5_1_5.php
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/string.c?r1=1.445.2.14.2.10&r2=1.445.2.14.2.11

Comment 4 Red Hat Bugzilla 2006-09-21 10:43:42 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0682.html



Note You need to log in before you can comment on or make changes to this bug.